%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(PadWalker\\)$

Summary:        Meatier versions of caller
Name:           perl-Devel-Caller
Version:        2.06
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-Caller
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Devel-Caller-%{version}.tar.gz

BuildRequires:  findutils gcc make
BuildRequires:  perl-interpreter perl-devel perl-generators perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:  perl(B) perl(base) perl(Exporter) perl(PadWalker) >= 0.08 perl(XSLoader)
BuildRequires:  perl(Test::More) perl(vars)
Requires:       perl(:MODULE_COMPAT_%perl_version) perl(PadWalker) >= 0.08


%description
Devel::Caller - Meatier versions of caller.

%prep
%autosetup -n Devel-Caller-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorarch}/
%{_mandir}/man3/Devel::Caller.3pm*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.06-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.06-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 5 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.06-1
- package init.
